# Greenclip

From ArchWiki
Jump to navigation Jump to search
The printable version is no longer supported and may have rendering errors. Please update your browser bookmarks and please use the default browser print function instead.

Greenclip is a simple clipboard manager designed to be integrated with rofi and written in Haskell.

## Installation

Install the rofi-greenclipAUR package.

Enable the user unit `greenclip.service`.

## Usage

1. Spawn the daemon with `/usr/bin/greenclip daemon` or start/enable the service `systemctl --user start greenclip.service`
2. Show entries as a list whithin rofi using: `rofi -modi "clipboard:greenclip print" -show clipboard -run-command '{cmd}'`
3. The entry that you have selected will be in your clipboard now
4. Configuration file is placed in `~/.config/greenclip.toml`
5. To clear all clipboard history run `greenclip clear`

Category:

- Application launchers